﻿using System;
using System.ComponentModel.DataAnnotations;

namespace TestProject.Models
{
    /// <summary>
    /// 영화
    /// </summary>
    public class Movie
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region ID - ID

        /// <summary>
        /// ID
        /// </summary>
        public int ID { get; set; }

        #endregion
        #region 제목 - Title

        /// <summary>
        /// 제목
        /// </summary>
        public string Title { get; set; }

        #endregion
        #region 릴리즈 일자 - ReleaseDate

        /// <summary>
        /// 릴리즈 일자
        /// </summary>
        [DataType(DataType.Date)]
        public DateTime ReleaseDate { get; set; }

        #endregion
        #region 장르 - Genre

        /// <summary>
        /// 장르
        /// </summary>
        public string Genre { get; set; }

        #endregion
        #region 가격 - Price

        /// <summary>
        /// 가격
        /// </summary>
        public decimal Price { get; set; }

        #endregion
    }
}