using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.Extensions.Logging;
using System.Diagnostics;

namespace TestProject.Pages
{
    /// <summary>
    ///  
    /// </summary>
    [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
    public class ErrorModel : PageModel
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// α ϱ
        /// </summary>
        private readonly ILogger<ErrorModel> logger;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region û ID - RequestID

        /// <summary>
        /// û ID
        /// </summary>
        public string RequestID { get; set; }

        #endregion
        #region û ID ǥ  - ShowRequestID

        /// <summary>
        /// û ID ǥ 
        /// </summary>
        public bool ShowRequestID => !string.IsNullOrEmpty(RequestID);

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - ErrorModel(logger)

        /// <summary>
        /// 
        /// </summary>
        /// <param name="logger">α ϱ</param>
        public ErrorModel(ILogger<ErrorModel> logger)
        {
            this.logger = logger;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region GET óϱ - OnGet()

        /// <summary>
        /// GET óϱ
        /// </summary>
        public void OnGet()
        {
            RequestID = Activity.Current?.Id ?? HttpContext.TraceIdentifier;
        }

        #endregion
    }
}